import * as React from 'react';
import * as ReactDOM from 'react-dom';
import ImgView from '../../lib/img-view';

class Demo extends React.Component<any, any> {
  constructor(props, state) {
    super(props, state);
  }

  public state = {
    src: ''
  }

  public componentDidMount() {
    setTimeout(() => {
      this.setState({
        src: `https://wap.yj.cn.com/uploads/20170320/1489978693795_8441.jpg?t=${new Date().getTime()}`
      })
    }, 2000);
  }
  public render() {
    return (
      <ImgView
        src={this.state.src}
        loading=""
        fail=""
        timeout=""
        onClick={() => console.log('点击图片')}
        //value={this.state.accessTime}
        // visible={this.state.accessTimeShow}
        //onOk={(values) => this.setState({ accessTime: values.value })}
      />
    );
  }
}

ReactDOM.render(<Demo />, document.getElementById('root'));