interface TspComponentChoicelProps {
  id: string;
  /**
   * 类名
   */
  className?: string;
  /**
   * 单选或复选
   */
  type?: 'radio' | 'checkbox';
  /**
   * 初始值
   */
  value: TspComponentChoicelValue[];
  /**
   * 该字段没填写时的提示文字
   */
  required?: string;
  /**
   * 点击事件
   */
  onClick: (index: number) => void;
  /**
   * 是否禁用组件点击功能
   */
  disabled?: boolean;
}

interface TspComponentChoicelState {
  /**
   * 存储改变的状态
   */
  value: any[];
}

interface TspComponentChoicelValue {
  /**
   * 选中或未选中
   */
  checked: boolean;
  /**
   * 值，一般是id
   */
  id: number | string;
  /**
   * 显示的内容，可以是elemnt
   */
  label: any;
}