interface TspComponentModalProps {
  className?: string;
  id?: string;
  /**
   * 点击确定回调
   */
  onOk?: () => void;
  /**
   * 点击取消时回调
   */
  onCancel?: () => void;
  /**
   * 提交按钮是否是submit类型的
   */
  submit?: boolean;
  /**
   * 是否只有确定按钮
   */
  onlyOk?: boolean;
  /**
   * 是否显示
   */
  visible?: boolean;
  /**
   * 是否颠倒按钮顺序
   */
  reverse?: boolean;
  /**
   * 标题
   */
  title: string;
  /**
   * ok按钮的文本
   */
  okLabel?: string;
  /**
   * 取消按钮文本
   */
  cancelLabel?: string;
  children?: any;
}