interface TspComponentPointProps {
  className?: string;
  id?: string;
  /**
   * 图标
   */
  icon: JSX.Element;
  /**
   * 选中的图标
   */
  currentIcon: JSX.Element;
  /**
   * 默认分数值
   */
  defaultValue: number;
  /**
   * 是否必选
   */
  required?: string;
  /**
   * icon个数
   */
  count: number;
  /**
   * 是否禁用
   */
  disabled?: boolean;
  onClick?: (value: number) => void;
}

interface TspComponentPointState {
  /**
   * 分数值
   */
  value: number;
}