export function setTranslate(elem, x, y) {
    elem.style.webkitTransform = "translate(" + x + "px, " + y + "px) translateZ(0)";
}
export function getTranslateText(x, y) {
    return "-webkit-transform:translate(" + x + ", " + y + ")  translateZ(0);transform:translate(" + x + ", " + y + ")  translateZ(0);";
}
export function requestAnimationFrame() {
    return (function () {
        return window.requestAnimationFrame ||
            window.webkitRequestAnimationFrame ||
            function (callback) {
                window.setTimeout(callback, 1000 / 60);
            };
    })();
}
