declare const process: {
  env: {
    NODE_ENV: string;
  }
};

const userAgent = navigator.userAgent;
/**
 * ios终端
 */
const isiOS = !!userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
/**
 * 设备宽度
 */
const deviceWidth = document.body.clientWidth;
/**
 * 设备高度
 */
const deviceHeight = document.documentElement.clientHeight;

export {
  userAgent,
  isiOS,
  deviceWidth,
  deviceHeight
};