import URLSearchParams from 'url-search-params';
export function urlEncode(params) {
    var urlsearchparams = new URLSearchParams();
    Object.keys(params).forEach(function (value) {
        if (params[value] !== undefined && params[value] !== null && params[value] !== '') {
            urlsearchparams.append(value, params[value]);
        }
    });
    return urlsearchparams.toString();
}
export function getUrlParams(url) {
    var linkElem = window.document.createElement('a');
    linkElem.href = url;
    return linkElem;
}
export function urlStartIndexForString(str, isLastOf) {
    var searchType = isLastOf ? 'lastIndexOf' : 'indexOf';
    if (str[searchType]('http://') >= 0) {
        return str[searchType]('http://');
    }
    else if (str[searchType]('https://') >= 0) {
        return str[searchType]('https://');
    }
    return undefined;
}
export function getCurrentRoute() {
    var hahs = window.location.hash;
    return hahs.substr(0, hahs.indexOf('?'));
}
