import * as React from 'react';
import * as ReactDOM from 'react-dom';
import Picker from '../../lib/picker';

const personTotal = ['未填写', '1人', '2人', '3人', '4人', '5人', '5人以上'].map((value, i) => {
  return { value: i, label: value };
});

class Demo extends React.Component<any, any> {
  constructor(props, state) {
    super(props, state);
  }

  public componentDidMount() {
    setTimeout(() => {
      this.setState({
        visible: true
      })
    }, 300);

  }
  public render() {
    return (
      <div>
        <Picker
          id={`accessTime`}
          defaultValue={undefined}
          data={[personTotal]}
          //value={this.state.accessTime}
          // visible={this.state.accessTimeShow}
          //onOk={(values) => this.setState({ accessTime: values.value })}
        />
      </div>
    );
  }
}

ReactDOM.render(<Demo />, document.getElementById('root'));