/// <reference path="./definition.d.ts" />

import * as React from 'react';
import classNames from 'classnames';

const prefix = 'tsp-component-Placeholder';
const Placeholder = (props: TspComponentPlaceholderProps) => (
  <div className={classNames({
    [prefix]: true,
    [props.className]: props.className,
    [`${prefix}-animation`]: props.animation
  })} />
);

export default Placeholder;