/// <reference path="./definition.d.ts" />

import * as React from 'react';
import classNames from 'classnames';

const prefix = 'tsp-component-Scroll';
class Scroll extends React.Component<TspComponentScrollProps, any> {
  constructor(props: TspComponentScrollProps, state: any) {
    super(props, state);
  }

  // public static defaultProps: TspComponentScrollProps = {
  // };

  // public componentDidMount(): void {
  // }

  public render(): JSX.Element {
    return (
      <div
        className={classNames({
          [prefix]: true,
          [this.props.className]: this.props.className
        })}
        id={this.props.id}
      >
        {this.props.children}
      </div>
    );
  }
}

export default Scroll;