export function unique(arr) {
    var temp = [];
    var length = arr.length;
    var i;
    for (i = 0; i < length; i++) {
        if (temp.indexOf(arr[i]) === -1) {
            temp.push(arr[i]);
        }
    }
    return temp;
}
export function getCookie(name) {
    var reg = new RegExp('(^| )' + name + '=([^;]*)(;|$)');
    var arr = document.cookie.match(reg);
    if (arr.length) {
        return decodeURIComponent(arr[2]);
    }
    else {
        return undefined;
    }
}
export function hexToString(str) {
    var tmp = '';
    for (var i_1 = 0; i_1 < str.length; i_1 += 2) {
        tmp += '\\' + str.substring(i_1, i_1 + 2);
    }
    str = unescape(tmp.replace(/\\/g, '%'));
    var out;
    var i;
    var len;
    var c;
    var char2;
    var char3;
    out = '';
    len = str.length;
    i = 0;
    while (i < len) {
        c = str.charCodeAt(i++);
        switch (c >> 4) {
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
                out += str.charAt(i - 1);
                break;
            case 12:
            case 13:
                char2 = str.charCodeAt(i++);
                out += String.fromCharCode(((c & 0x1F) << 6) | (char2 & 0x3F));
                break;
            case 14:
                char2 = str.charCodeAt(i++);
                char3 = str.charCodeAt(i++);
                out += String.fromCharCode(((c & 0x0F) << 12) | ((char2 & 0x3F) << 6) | ((char3 & 0x3F) << 0));
                break;
            default:
                break;
        }
    }
    return out;
}
export function stringToHex(str) {
    var arr = [];
    for (var i = 0; i < str.length; i++) {
        arr[i] = (str.charCodeAt(i).toString(16)).slice(-4);
    }
    return arr.join('');
}
